{ config, pkgs, ... }:
{
  # Much quieter CPU fan on AMD Ryzen Tuxedo laptop.

  hardware.tuxedo-rs = {
    enable = true;
    # Whether to enable tailor-gui, an alternative to TUXEDO Control Center, written in Rust.
    # tailor-gui: Rust GUI for interacting with hardware from TUXEDO Computers.
    tailor-gui.enable = true;
  };
  environment.etc."tailord/fan/default.json".text = ''
  [
    {"temp":50,"fan":0},
    {"temp":55,"fan":10},
    {"temp":60,"fan":20},
    {"temp":65,"fan":30},
    {"temp":70,"fan":40},
    {"temp":80,"fan":70},
    {"temp":90,"fan":100}
  ]
  '';
}
